Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035304
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2017-02-20 08:452017-03-15 20:20
ReporterpradeepvarmaView Statuspublic 
Assigned Tomcobas 
PriorityhighResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revision954decf4ec44
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarkmm82
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035304: Sales and purchase dimensional reports : after up gradation (version pr 16Q 2.4) nos(debit/credit) are coming as text instead of

DescriptionIn sales invoice dimensional report and purchase invoice dimensional report, after up gradation (version pr16Q2.4) nos are coming as text in this report,
For eg: say qty and unit price columns should be 150 and 100.00, instead of it is appearing as '150 and '100.00.
Steps To Reproduce1. Log into any CS version in livebuilds as F&B International group admin
2. Open the sales invoice dimensional report/purchase invoice dimensional report.
3. select the data range from 1st Feb 2014 till today.
4. Click on export XLS option.
5. Open the downloaded excel sheet and notice that the qty column, unit price columns or any numeric column has "'" in front of the value.

PS Note : refer to the attached excel sheets
TagsNo tags attached.
Attached Filesgz file icon issue_45594.tar.gz [^] (49,234 bytes) 2017-02-20 08:45

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031710 closedcollazoandy4 Review XLS reports to apply cell type when required 

-  Notes
(0094672)
hgbot (developer)
2017-03-01 22:02

Repository: erp/devel/pi
Changeset: 954decf4ec445646f4d514046c1697ab28b9fd03
Author: Miguel <martencobasmiguel <at> gmail.com>
Date: Wed Mar 01 10:27:42 2017 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/954decf4ec445646f4d514046c1697ab28b9fd03 [^]

Fixes issue 35304: Sales and purchase invoice dimensional reports after up gradation
(version pr 16Q 2.4) the number columns are exported as text.

Sales Invoice and Purchase Invoice dimensional reports were not designed considering the
type of the original text field expressions when exported it to xls format.

The net.sf.jasperreports.export.xls.detect.cell.type property was added to
autodetect the cell types and also the pattern "#,##0.00;-#,##0.00" was
included to the fields of number type to rightly format them.

---
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesXLS.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceVendorDimensionalAnalysesXLS.jrxml
---
(0094673)
markmm82 (developer)
2017-03-01 22:05

Code review + Testing OK
(0095245)
hudsonbot (developer)
2017-03-15 20:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-02-20 08:45 pradeepvarma New Issue
2017-02-20 08:45 pradeepvarma Assigned To => Triage Finance
2017-02-20 08:45 pradeepvarma File Added: issue_45594.tar.gz
2017-02-20 08:45 pradeepvarma Modules => Core
2017-02-20 08:45 pradeepvarma Triggers an Emergency Pack => No
2017-02-20 10:04 pradeepvarma Relationship added related to 0031710
2017-02-20 18:33 markmm82 Assigned To Triage Finance => collazoandy4
2017-03-01 22:02 hgbot Checkin
2017-03-01 22:02 hgbot Note Added: 0094672
2017-03-01 22:02 hgbot Status new => resolved
2017-03-01 22:02 hgbot Resolution open => fixed
2017-03-01 22:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/954decf4ec445646f4d514046c1697ab28b9fd03 [^]
2017-03-01 22:04 markmm82 Assigned To collazoandy4 => mcobas
2017-03-01 22:05 markmm82 Review Assigned To => markmm82
2017-03-01 22:05 markmm82 Note Added: 0094673
2017-03-01 22:05 markmm82 Status resolved => closed
2017-03-01 22:05 markmm82 Fixed in Version => 3.0PR17Q2
2017-03-15 20:20 hudsonbot Checkin
2017-03-15 20:20 hudsonbot Note Added: 0095245


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker